Bug 204817 - net/chrony: update to 2.2
Summary: net/chrony: update to 2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-25 20:22 UTC by John Hein
Modified: 2015-12-27 12:58 UTC (History)
3 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
[patch] update to 2.2 + (10.73 KB, patch)
2015-11-25 20:22 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2015-11-25 20:22:21 UTC
Created attachment 163534 [details]
[patch] update to 2.2 +

Update net/chrony to latest upstream version - 2.2.

- install info
- point to /var/db instead of /var/lib (per hier(7))
- use doc/install-docs target; install more docs (PORTDOCS)
- use @sample to a sample .conf file (not for .keys which will require manual intervention); others in examples dir (use PORTEXAMPLES)
- rm old post-install target
- fix example files for freebsd/prefix paths & ntp server names, add info regarding how to do log rotation if logging turned on.  [1]

Q/A
 Q/A DEVELOPER tests: pass
 portlint: pass
 poudriere: pass testport (9-stable/i386)

[1] possible improvement for another bug: automate newsyslog integration - not necessary for this bug since the logging is off by default
Comment 1 Kurt Jaeger freebsd_committer 2015-11-25 20:55:39 UTC
Test-builds on 11amd64, 10.2a+i, 9.3a are fine
Comment 2 Martin Wilke freebsd_committer 2015-11-26 16:07:55 UTC
Take.
Comment 3 Thomas Zander freebsd_committer 2015-12-27 12:50:56 UTC
Maintainer timeout
Comment 4 commit-hook freebsd_committer 2015-12-27 12:53:41 UTC
A commit references this bug:

Author: riggs
Date: Sun Dec 27 12:53:33 UTC 2015
New revision: 404564
URL: https://svnweb.freebsd.org/changeset/ports/404564

Log:
  Update to upstream version 2.2; general cleanup

  Detailed log by submitter:
  - Update net/chrony to latest upstream version - 2.2
  - install info
  - point to /var/db instead of /var/lib (per hier(7))
  - use doc/install-docs target; install more docs (PORTDOCS)
  - use @sample to a sample .conf file (not for .keys which will require
    manual intervention); others in examples dir (use PORTEXAMPLES)
  - rm old post-install target
  - fix example files for freebsd/prefix paths & ntp server names, add
    info regarding how to do log rotation if logging turned on.

  PR:		204817
  Submitted by:	z7dr6ut7gs@snkmail.com
  Approved by:	maintainer timeout

Changes:
  head/net/chrony/Makefile
  head/net/chrony/distinfo
  head/net/chrony/files/patch-examples-chrony.conf.example
  head/net/chrony/files/patch-examples-chrony.conf.example2
  head/net/chrony/files/patch-examples_chrony.conf.example1
  head/net/chrony/files/patch-examples_chrony.conf.example2
  head/net/chrony/files/patch-examples_chrony.conf.example3
  head/net/chrony/pkg-plist